RoutingToll free verification
Save the organization's TFV business profile
Save (or overwrite) the profile future submissions prefill from. A successful POST /tfv or PUT /tfv/:id already saves the profile it used — call this directly to update the saved profile without submitting a number.
Authorization
bearerAuth AuthorizationBearer <token>
A Tandem bearer token. Requests are scoped to the organization the token belongs to; no organization header is required.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/sms-registration/profile" \ -H "Content-Type: application/json" \ -d '{ "profile": { "businessName": "string", "businessEntityType": "SOLE_PROPRIETOR", "businessAddress": { "addressLine1": "string", "city": "string", "state": "string", "zip": "string", "websiteUrl": "string" }, "businessContact": { "firstName": "string", "lastName": "string", "email": "string", "phone": "string" }, "useCase": "string", "useCaseSummary": "string", "productionMessageContent": "string", "estimatedMonthlyVolume": 10, "optIn": { "description": "string", "images": [ { "kind": "upload", "key": "string" } ] } } }'{ "businessName": "string", "businessDba": "string", "businessEntityType": "SOLE_PROPRIETOR", "businessRegistrationNumber": "string", "businessRegistrationType": "EIN", "businessRegistrationIssuingCountry": "string", "businessAddress": { "addressLine1": "string", "addressLine2": "string", "city": "string", "state": "string", "zip": "string", "websiteUrl": "string" }, "businessContact": { "firstName": "string", "lastName": "string", "email": "string", "phone": "string" }, "useCase": "string", "useCaseSummary": "string", "productionMessageContent": "string", "estimatedMonthlyVolume": 10, "optIn": { "description": "string", "images": [ { "kind": "upload", "key": "string" } ], "confirmationResponse": "string" }, "privacyPolicyUrl": "string", "termsUrl": "string", "additionalInformation": "string"}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}